[ < ] | [ > ] |  | [ << ] | [ Up ] | [ >> ] |  |  |  |  | [Top] | [Contents] | [Index] | [ ? ]

### 5.8.3 Texture Types

There are four types of textures supported by current hardware, three of them only differ in the amount of dimensions they have (one, two or three). The fourth one is special. The different texture types are:

TEX_TYPE_1D

  One dimensional texture, used in combination with 1D texture coordinates.

TEX_TYPE_2D

  Two dimensional texture, used in combination with 2D texture coordinates.

TEX_TYPE_3D

  Three dimensional volume texture, used in combination with 3D texture coordinates.

TEX_TYPE_CUBE_MAP

  Cube map (six two dimensional textures, one for each cube face), used in combination with 3D texture coordinates.

### Cube map textures

The cube map texture type (TEX_TYPE_CUBE_MAP) is a different beast from the others; a cube map texture represents a series of six two dimensional images addressed by 3D texture coordinates.

+X (face 0)

  Represents the positive x plane (right).

-X (face 1)

  Represents the negative x plane (left).

+Y (face 2)

  Represents the positive y plane (top).

-Y (face 3)

  Represents the negative y plane (bottom).

+Z (face 4)

  Represents the positive z plane (front).

-Z (face 5)

  Represents the negative z plane (back).

This document was generated by David Rogers on May, 26 2012 using texi2html 1.70.